/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (10/05/07)
 */    
package com.ejie.p06b.tags;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import com.ejie.p06b.general.P06BConstantes;
import com.ejie.p06b.util.P06BParametros;
import com.ejie.p06b.xlnet.P06BPerfilUsuario;

public class P06BResConfigTag extends TagSupport{
	private String resource;
	private String idiomaC;
	private String idiomaE;
	
	public void setResource(String resource){
        this.resource = resource;
    }
	//Parámetro opcional -> Indica que valor se concatena al parámetro resource
	//en caso de que el idioma del usuario sea "es" - Castellano
	public void setIdiomaC(String idiomaC){
        this.idiomaC = idiomaC;
    }
	//Parámetro opcional -> Indica que valor se concatena al parámetro resource
	//en caso de que el idioma del usuario sea "eu" - Euskera
	public void setIdiomaE(String idiomaE){
        this.idiomaE = idiomaE;
    }
	
	public int doStartTag() throws JspException {
	    try{
	    	HttpServletRequest request = (HttpServletRequest)pageContext.getRequest();
	    	P06BPerfilUsuario lPerfil = (P06BPerfilUsuario)request.getSession().getAttribute(P06BConstantes.P06B_VAR_PERFIL_USUARIO);
	    	String resultado="";
	    	idiomaC = (idiomaC==null||idiomaC.equals("null"))?"":idiomaC;
	    	idiomaE = (idiomaE==null||idiomaE.equals("null"))?"":idiomaE;
	    	if(lPerfil.getIdIdioma().equals("es")){
	    		resultado = P06BParametros.get(resource+idiomaC);
	    	}else{
	    		resultado = P06BParametros.get(resource+idiomaE);
	    	}
	    	pageContext.getOut().print(resultado);   
	    } catch (Exception e) {
	        throw new JspException ("Error: IOException" + 
			e.getMessage());
	    }
	    return SKIP_BODY;
	}
	
    public int doEndTag() throws JspException {
        return EVAL_PAGE;
    }
}
